## pyrlp 0.5.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 rlp tests

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source rlp setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/rlp.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ rlp
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

=== requirements.txt ===
wheel==0.23.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyrlp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyrlp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyrlp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyrlp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyrlp (0.5.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Perform dir to symlink conversion of /usr/share/doc/python-rlp-doc.
    (Closes: #1035765)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 May 2023 21:26:57 +0200

pyrlp (0.5.1-3) unstable; urgency=medium

  * Update UScan configuration for changes in upstream releases page.
  * Declare conformance to “Standards-Version: 4.6.0”.
    No additional changes needed.
  * Declare Debhelper compatibility level 13.
  * Remove obsolete field from DEP-12 metadata.
  * Document the upstream Changelog in DEP-12 metadata.
  * Override false positive Lintian check for VCS-* field names.
  * Use only supported Python versions in the AutoPkgTest.
  * Mark as “superficial” those autopkgtest cases with no coverage.
  * Describe current Debian source package build process.
  * debian/patches/docs-config-remove-superfluous-print.patch:
    * Remove a superfluous debug statement that is a Python 3 error.
      Closes: bug#997742. Thanks to Lucas Nussbaum for the report.
  * debian/patches/collections-abc-for-abstract-base-classes.patch:
    * Migrate to ‘collections.abc’ abstract base classes.

 -- Ben Finney <bignose@debian.org>  Mon, 02 May 2022 14:42:24 +1000

pyrlp (0.5.1-2) unstable; urgency=medium

  [ Ben Finney ]
  * Use current HTTPS URL for copyright format reference.
  * Specify VCS URLs for current Debian package VCS hosting.
  * Remove obsolete control field for Python 2 version.
  * Remove declaration for minimum Python 3 version.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Declare conformance to “Standards-Version: 4.4.1”.
  * Declare Debhelper compatibility level 12.
  * Remove obsolescent configuration file.
  * Use a null command for ‘clean’ during ‘Git-BuildPackage’.
  * Record upstream metadata in DEP-12 document.
  * Target the installed documentation to the Python 3 package.
  * Specify the package build system does not require root privilege.
  * Declare auto-generated dependencies for Sphinx documentation.
    Closes: bug#990656. Thanks to Andreas Beckmann for the report.

  [ Sandro Tosi ]
  * Remove autopkgtest code for Python 2.
  * Don't build Python 2 binary packages.
  * Remove support for Python 2.
    Closes: bug#937524.

 -- Ben Finney <bignose@debian.org>  Thu, 31 Oct 2019 17:42:19 +1100

pyrlp (0.5.1-1) unstable; urgency=medium

  * The “Zuhair Kutbi” release.
  * Initial release.
    Closes: bug#866168.

 -- Ben Finney <bignose@debian.org>  Mon, 14 Aug 2017 12:41:22 +1000

=== debian/control ===
Source: pyrlp
Maintainer: Ben Finney <bignose@debian.org>
Section: python
Priority: optional
Build-Depends:
    python3-sphinx,
    python3-setuptools,
    python3-pytest,
    python3-pytest-runner,
    python3-all,
    dh-python,
    debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/ethereum/pyrlp/
VCS-Git: https://salsa.debian.org/bignose/pkg-pyrlp.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-pyrlp/
Rules-Requires-Root: no

Package: python3-rlp
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Suggests:
    python-rlp-doc
Description: Recursive Length Prefix (RLP) library — Python 3
 The purpose of RLP (Recursive Length Prefix) is to encode arbitrarily
 nested arrays of binary data, and RLP is the main encoding method
 used to serialize objects in Ethereum.
 .
 This package installs the library for Python 3.

Package: python-rlp-doc
Architecture: all
Section: doc
Depends:
    ${sphinxdoc:Depends},
    ${misc:Depends}
Description: Recursive Length Prefix (RLP) library — documentation
 The purpose of RLP (Recursive Length Prefix) is to encode arbitrarily
 nested arrays of binary data, and RLP is the main encoding method
 used to serialize objects in Ethereum.
 .
 This package installs the library documentation.

=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘pyrlp’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export PYBUILD_NAME = rlp

# Package name to be the target of installed documentation, for all
# binary packages. See ‘dh_installdocs(1)’.
DOCUMENTATION_TARGET_PACKAGE = python3-rlp

DOCUMENTATION_DIR = docs
DOCUMENTATION_BUILD_DIR = ${DOCUMENTATION_DIR}/_build
DOCUMENTATION_BUILD_HTML_DIR = ${DOCUMENTATION_BUILD_DIR}/html
GENERATED_FILES += ${DOCUMENTATION_BUILD_DIR}

SPHINX = sphinx-build
SPHINX_OPTS = -N


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r ${GENERATED_FILES}

override_dh_auto_build:
	dh_auto_build
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOCUMENTATION_DIR}/ \
		${DOCUMENTATION_BUILD_HTML_DIR}/

override_dh_installdocs:
	dh_installdocs --link-doc=${DOCUMENTATION_TARGET_PACKAGE}


# Copyright © 2009–2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/tests/control ===
# debian/tests/control
# Control file for Debian ‘autopkgtests’.
# Documentation: ‘/usr/share/doc/autopkgtest/README.package-tests.rst.gz’.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

Tests: smoke-python3
Restrictions:
    superficial
Depends:
    python3-pkg-resources,
    python3-all,
    @


# Copyright © 2016–2022 Ben Finney <bignose@debian.org>
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.


# Local variables:
# coding: utf-8
# mode: conf-space
# End:
# vim: fileencoding=utf-8 filetype=conf :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘pyrlp’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Ethereum repository.
opts = "uversionmangle=s/(\d)((?:dev|a|b|c|rc)\d*)$/$1~$2/" \
    https://github.com/ethereum/@PACKAGE@/tags/ \
    /ethereum/@PACKAGE@/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
